# Only build noarch subpackages if distribution supports it
%if 0%{?fedora} >= 11
%global noarch_subpackage BuildArch: noarch
%else
%global noarch_subpackage %{nil}
%endif


Name:		simulavr
Version:	0.1.2.6
Release:	2%{?dist}
Summary:	An AVR Simulator

Group:		Development/Tools
License:	GPLv2+
URL:		http://savannah.nongnu.org/projects/simulavr/
Source0:	http://mirrors.zerg.biz/nongnu/simulavr/%{name}-%{version}.tar.gz
# Allow overriding ENABLE_WARNINGS definition
Patch100:	0001-Allow-overriding-ENABLE_WARNINGS.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	avr-binutils
BuildRequires:	avr-gcc
BuildRequires:	avr-libc
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	ncurses-devel
BuildRequires:	python
BuildRequires:	texinfo


%description
A simulator for chips from Atmel's AVR series of microcontrollers.


%package doc
Group:		Development/Tools
Summary:	simulavr documentation (HTML and PDF)
%{noarch_subpackage}


%description doc
A simulator for chips from Atmel's AVR series of microcontrollers.

This subpackage contains the documentation in HTML and PDF format.


%prep
%setup -q
%patch100 -p1 -b .override-enable-warnings


%build
%configure --enable-pdf
# FIXME: Skip -Werror for now, as flex output code ignores fwrite() return value
make %{?_smp_mflags} ENABLE_WARNINGS="-Wall -Winline"


%install
rm -rf "%{buildroot}"
make install DESTDIR="%{buildroot}"
rm -f "%{buildroot}%{_infodir}/dir"
mv "%{buildroot}%{_docdir}/%{name}-%{version}" docdir


%clean
rm -rf "%{buildroot}"


%check
make DESTDIR="%{buildroot}" check


%post
/sbin/install-info "%{_infodir}/simulavr.info.gz" "%{_infodir}/dir" || :


%preun
if [ "$1" = 0 ]; then
   /sbin/install-info --delete "%{_infodir}/simulavr.info.gz" "%{_infodir}/dir" || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%doc ChangeLog ChangeLog-2001 ChangeLog-2002 ChangeLog-2003
%doc ProjSummary README README.gdb README.opcodes TODO
%{_bindir}/simulavr
%{_bindir}/simulavr-disp
%{_bindir}/simulavr-vcd
%{_infodir}/simulavr.info.gz
%{_mandir}/man1/simulavr-disp.1.gz
%{_mandir}/man1/simulavr.1.gz


%files doc
%defattr(-,root,root,-)
%doc docdir/html
%doc docdir/internals_html
%doc docdir/simulavr-internals.pdf
%doc docdir/simulavr.pdf


%changelog
* Wed Dec 30 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.1.2.6-2
- Add sufficient BuildRequires for mock build

* Wed Dec 30 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.1.2.6-1
- Initial RPM package for Fedora

